# DataExchange
TKSTEPBase
StepGeom

# StepGeom_SurfaceOfRevolution Class Reference

`#include <StepGeom_SurfaceOfRevolution.hxx>`

Inheritance diagram for StepGeom_SurfaceOfRevolution:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_SurfaceOfRevolution ()
| Returns a SurfaceOfRevolution .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Curve)&aSweptCurve)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Curve)&aSweptCurve, const Handle(StepGeom_Axis1Placement)&aAxisPosition)
Standard_EXPORT void | SetAxisPosition (const Handle(StepGeom_Axis1Placement)&aAxisPosition)
Standard_EXPORT Handle_StepGeom_Axis1Placement | AxisPosition () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Axis1Placement | axisPosition

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_SurfaceOfRevolution::StepGeom_SurfaceOfRevolution | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Axis1Placement StepGeom_SurfaceOfRevolution::AxisPosition | ( |  | ) | const

Standard_EXPORT const StepGeom_SurfaceOfRevolution::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_SweptSurface.

virtual Standard_EXPORT void StepGeom_SurfaceOfRevolution::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Curve)& | aSweptCurve,
|  | const Handle(StepGeom_Axis1Placement)& | aAxisPosition
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_SurfaceOfRevolution::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Curve)& | aSweptCurve
| ) | `[virtual]`

| Reimplemented from StepGeom_SweptSurface.

Standard_EXPORT void StepGeom_SurfaceOfRevolution::SetAxisPosition | ( | const Handle(StepGeom_Axis1Placement)& | aAxisPosition | ) |

## Field Documentation

Handle_StepGeom_Axis1Placement StepGeom_SurfaceOfRevolution::axisPosition `[private]`

The documentation for this class was generated from the following file:

- StepGeom_SurfaceOfRevolution.hxx